
try
{
	var parentwin = external.menuArguments;
	var d = parentwin.document;
}
catch (e)
{
	var d = window.document;
	var parentwin = window;
}

function rel2abs(url, baseUrl) 
{
	//change all white space into escaped spaces
	baseUrl = baseUrl.replace(/\\/g, "/").replace(/\s/g, "%20"); 
	url = url.replace(/\\/g, "/").replace(/\s/g, "%20");

	//detect if the provided url is already an absolute url
	if (/^[a-zA-Z]*:\/\//.test(url)) // detected "name://"
		return url;
		
	//remove any "this directory" references
	url = url.replace(/^(.\/)*/, "");
		
	//Remove the file name, hash, and query from the base path;
	baseUrl = baseUrl.replace( /(\?.*)$/, "");//query
	baseUrl = baseUrl.replace( /(#.*)*$/, "");//hash
	baseUrl = baseUrl.replace( /[^\/]*$/, "");//file name
		
	//detect if the provided url is relative from the host root
	if (/^\//.test(url))
	{
		var index = baseUrl.indexOf("//");
		index = baseUrl.indexOf("/", index+2);
		baseUrl = baseUrl.substring(0, index);
		return baseUrl + url;
	}
	
	//the following code deals with the parent directory references
	while (/^..\//.test(url))
	{
		url = url.replace(/^..\//, "");
		var tmp = baseUrl.replace( /([^\/]+[\/][^\/]*)$/, "");
		if (!/^[a-zA-Z]*:\/\/$/.test(tmp))
			baseUrl = tmp;
	}	

	return baseUrl + url;
}

function absUrl(url, doc) 
{
	//there are two urls being delt with, the page's url (absolute)
	//and the passed in url (absolute or relative).
	if (!doc) doc = d;

	//get the pages url
	var baseUrl = doc.URL;
	var bases = doc.getElementsByTagName("base");
	if (bases.length > 0)
		baseUrl = bases[bases.length-1].href;

	return rel2abs(url, baseUrl);
}

function get_header(title)
{
	if (!title) title = '';
	return '<html>' + 
		'<meta http-equiv="Content-Type" content="text/html; charset=ks_c_5601-1987">' +
		'<head>' + 
		'<link rel=stylesheet href=common.css type=text/css>' +
		'<script src=common.js></script>' + 
		'<title>' + title + '</title>' + 
		'</head>' + 
		'<body>';
}

function get_footer()
{
	return '</body></html>';
}
